Bug 174295 - Package request: thunderbird-devel
Package request: thunderbird-devel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 08:45 EST by Ilya Konstantinov
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-28 10:55:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Konstantinov 2005-11-27 08:45:35 EST
It would be very desirable for us to start packaging thunderbird-devel in
addition to thunderbird, since Thunderbird serves not only as a mail client but
also as a development platform for extensions. Being a native (XPCOM) extension
developer, I'd like to be able to provide an RPM with a dependency on
thunderbird-devel that'll build cleanly on a target user's machine. In the
current state, I can only build my extension against a RPM build directory of
thunderbird.

Since package thunderbird already contains the libs, thunderbird-devel should
contain only the headers (akin Debian's thunderbird-dev). And yes, it should
contain all headers, not only the frozen ones, since extensions are targeted for
 specific versions of Thunderbird anyway.

1. Do I get your principal agreement to my proposal?
2. Would you accept a patch to the spec that'll deliver this subpackage?
Comment 1 John Thacker 2006-10-29 16:19:37 EST
[Mass switching of bugs filed against FC4T3 to fc4test3 from test3]
Comment 2 Christian Iseli 2007-01-22 05:19:18 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Matthew Miller 2007-04-06 11:08:33 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 4 Matěj Cepl 2007-07-18 13:23:47 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 5 Matěj Cepl 2007-08-28 10:55:38 EDT
We haven't got any reply to the last question about reproducability of the bug
with Fedora Core 6, Fedora 7, or Fedora devel. Mass closing this bug, so if you
have new information that would help us fix this bug, please reopen it with the
additional information.

Note You need to log in before you can comment on or make changes to this bug.